Create Quote

POSThttps://bank.dattaremit.com/api/quotes

Requires a bank-scoped key.

Creates a quote.

## Quote creation

Quotes can be created for a Bank or a Customer.

To create quotes for your Bank, omit the customer_guid parameter in the request body. To create quotes for your Customers, include the customer_guid parameter in the request body.

## Failure codes

CodeDescription
invalid_amountThe amount on the invoice is unprocessable
insufficient_balanceThere are insufficient funds to process the quote
invalid_invoiceThe invoice cannot be processed

Required scope: quotes:execute

Body Params

required
product_typetrading | funding | crypto_transfer | inter_account | lightning_transfer | book_transfer

The type of product the quote is for.

bank_guidstring

The unique identifier for the bank.

customer_guidstring

The unique identifier for the customer.

receive_amountinteger

The amount to be received in base units of the currency: currency is "asset" for buy and "counter_asset" for sell for trade quotes.

deliver_amountinteger

The amount to be delivered in base units of the currency: currency is "counter_asset" for buy and "asset" for sell for trade quotes.

assetstring

The asset code the quote was requested for. Required when product_type is lightning_transfer, product_type is book_transfer, product_type is funding, product_type is crypto_transfer, or product_type is inter_account.

network_addressstring

The network address to pay the invoice to. Required when product_type is lightning_transfer.

feesobject[]

The custom fees associated with the quote Optional when product_type is lightning_transfer, product_type is funding, product_type is trading, product_type is crypto_transfer, or product_type is trading_exit.

sidedeposit | withdrawal | buy | sell

The direction for trade quotes: either 'buy' or 'sell'. The direction for funding quotes: either 'deposit' or 'withdrawal'. The direction for crypto transfer quotes: 'withdrawal'. Book transfers do not require a side. They are all 'deposit's. Required when product_type is funding, product_type is trading, or product_type is crypto_transfer.

destination_account_guidstring

The unique identifier for the destination account. Used to determine routing-specific fees for EFT withdrawals. Required when product_type is inter_account. Optional when product_type is funding.

payment_railach | eft | wire | rtp | etransfer

The payment rail the resulting transfer will execute on. Required when the downstream transfer will be an e-transfer withdrawal. Optional when product_type is funding.

symbolstring

Symbol the quote is being requested for. Format is "asset-counter_asset" in uppercase. See the Symbols API for a complete list of cryptocurrencies supported. Required when product_type is trading.

destination_accountsobject[]

Destination accounts for batch transactions on UTXO-based blockchains. A single destination account is required for Base blockchain assets. Optional when product_type is crypto_transfer.

reference_trade_guidstring

The guid of the related trade. Only present on `exit` trades. Required when product_type is trading_exit.

source_account_guidstring

The source account's identifier. Required when product_type is inter_account.

Responses

201

quote created

400

Bad Request

401

Unauthorized - Authentication failed

403

Invalid scope

422

Unprocessable Content

Request

curl https://api.dattaremit.com/api/quotes \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "product_type": "trading",
  "bank_guid": "string",
  "customer_guid": "string",
  "receive_amount": 1,
  "deliver_amount": 1,
  "asset": "string",
  "network_address": "string",
  "fees": [
    {
      "type": "spread",
      "spread_fee": 1,
      "fixed_fee": 1
    }
  ],
  "side": "deposit",
  "destination_account_guid": "string",
  "payment_rail": "ach",
  "symbol": "string",
  "destination_accounts": [
    {
      "type": "external_wallet",
      "guid": "string",
      "receive_amount": 1,
      "deliver_amount": 1
    }
  ],
  "reference_trade_guid": "string",
  "source_account_guid": "string"
}'

Response

quote created

{
  "guid": "string",
  "product_type": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "symbol": "string",
  "side": "string",
  "receive_amount": 1,
  "deliver_amount": 1,
  "fee": 1,
  "fee_details": [
    {
      "type": "bank",
      "asset": "string",
      "amount": 1
    }
  ],
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "issued_at": "2026-07-20T16:27:51.438Z",
  "expires_at": "2026-07-20T16:27:51.438Z",
  "asset": "string",
  "network_fee": 1,
  "network_fee_asset": "string",
  "network_address": "string",
  "entries": [
    {
      "source_account": {
        "guid": "string",
        "type": "string",
        "bank_guid": "string",
        "customer_guid": "string"
      },
      "destination_account": {
        "guid": "string",
        "type": "string",
        "bank_guid": "string",
        "customer_guid": "string"
      },
      "receive_amount": 1,
      "deliver_amount": 1,
      "fee": 1
    }
  ],
  "trade_guid": "string",
  "transfer_guid": "string"
}